curl "https://app.talkover.ai/api/v1/sip-trunks/trunk-uuid-1/health" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": {
"is_healthy": true,
"response_time_ms": 142,
"checked_at": "2024-01-15T14:35:00Z"
}
}
SIP Trunks Personalizados
Obter Saúde do SIP Trunk
Executar uma verificação de saúde em tempo real em um SIP Trunk
GET
/
api
/
v1
/
sip-trunks
/
{trunk_id}
/
health
curl "https://app.talkover.ai/api/v1/sip-trunks/trunk-uuid-1/health" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": {
"is_healthy": true,
"response_time_ms": 142,
"checked_at": "2024-01-15T14:35:00Z"
}
}
Obter Saúde do SIP Trunk
Executa uma verificação de saúde em tempo real em um SIP Trunk e retorna o status atual. Versão leve de Verificar SIP Trunk — não altera a flagis_verified do trunk.
Endpoint
GET /api/v1/sip-trunks/{trunk_id}/health
Parâmetros de caminho
string
obrigatório
UUID do SIP Trunk.
Cabeçalhos da requisição
string
obrigatório
Token Bearer para autenticação. Formato:
Bearer talq_your_environment_token_hereExemplos
curl "https://app.talkover.ai/api/v1/sip-trunks/trunk-uuid-1/health" \
-H "Authorization: Bearer talq_your_environment_token_here"
Resposta
{
"success": true,
"data": {
"is_healthy": true,
"response_time_ms": 142,
"checked_at": "2024-01-15T14:35:00Z"
}
}
Resposta Não Saudável
{
"success": true,
"data": {
"is_healthy": false,
"response_time_ms": 5000,
"error": "Connection timeout",
"checked_at": "2024-01-15T14:35:00Z"
}
}
Observações
- Use este endpoint para integrações de monitoramento/alertas.
- Polling frequente é seguro — as verificações são cacheadas por curtos intervalos.
Esta página foi útil?